Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# StandardCompileClient

###

#### class StandardCompileClient extends HasCompileSocket with CompileOutputCommon

The client part of the fsc offline compiler. Instead of compiling things itself, it send requests to a CompileServer.

Source
  CompileClient.scala

Linear Supertypes
CompileOutputCommon, HasCompileSocket, AnyRef, Any
Known Subclasses
CompileClient
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StandardCompileClient
2. CompileOutputCommon
3. HasCompileSocket
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new StandardCompileClient()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StandardCompileClient toany2stringadd[StandardCompileClient] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StandardCompileClient, B)
   Implicit
     This member is added by an implicit conversion from StandardCompileClient toArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def compileOnServer(sock: Socket, args: Seq[String]): Boolean
   Definition Classes
     HasCompileSocket
9.  lazy val compileSocket: CompileSocket
   Definition Classes
     StandardCompileClient → HasCompileSocket
10.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
11.  def ensuring(cond: (StandardCompileClient) => Boolean, msg: => Any): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient toEnsuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (StandardCompileClient) => Boolean): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient toEnsuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient toEnsuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient toEnsuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  val errorMarkers: Set[String]
    Definition Classes
      HasCompileSocket
18.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StandardCompileClient toStringFormat[StandardCompileClient] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
24.  def isErrorMessage(msg: String): Boolean
    Definition Classes
      HasCompileSocket
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def process(args: Array[String]): Boolean
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  var verbose: Boolean
    Definition Classes
      StandardCompileClient → CompileOutputCommon
33.  val versionMsg: String
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
37.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon

### Deprecated Value Members

1.  def →[B](y: B): (StandardCompileClient, B)
   Implicit
     This member is added by an implicit conversion from StandardCompileClient toArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from CompileOutputCommon

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStandardCompileClient to any2stringadd[StandardCompileClient]

### Inherited by implicit conversion StringFormat fromStandardCompileClient to StringFormat[StandardCompileClient]

### Inherited by implicit conversion Ensuring fromStandardCompileClient to Ensuring[StandardCompileClient]

### Inherited by implicit conversion ArrowAssoc fromStandardCompileClient to ArrowAssoc[StandardCompileClient]

### Ungrouped